Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Interface DHTMLWriter

    public interface DHTMLWriter

Method Summary
`byte[]` | `exportReport(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Returns the result of the current page of the active report.
`byte[]` | `publishCss(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Returns the style sheet of the current page of the active report.
`byte[]` | `writeBusinessCubeTree(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String businessCubeName, boolean includeDetail)` Returns a byte array of XML files about business cube tree.

Method Detail

### writeBusinessCubeTree

    byte[] writeBusinessCubeTree(java.lang.String rptSetId,
                                 java.lang.String rptName,
                                 java.lang.String subRptKey,
                                 java.lang.String businessCubeName,
                                 boolean includeDetail)

  Returns a byte array of XML files about business cube tree.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `businessCubeName` - the business cube name.
    `includeDetail` - includes detail information objects in the business cube tree if true, or excludes them if false.
  Returns:
    a byte array of XML files about business cube tree.

### publishCss

    byte[] publishCss(java.lang.String sessionId,
                      java.lang.String rptSetId,
                      java.lang.String rptName)
                      throws JDException

  Returns the style sheet of the current page of the active report.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the style sheet of the current page of the active report.
  Throws:
    `JDException`

### exportReport

    byte[] exportReport(java.lang.String sessionId,
                        java.lang.String rptSetId,
                        java.lang.String rptName)
                        throws JDException

  Returns the result of the current page of the active report.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the result of the current page of the active report.
  Throws:
    `JDException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD